Get all guides
get
https://{your-bynder-domain}/api/1/cxuc/guides
Query Parameters
orderBystring
orderTypestring
searchTermstring
skipEnrichmentCallsstring
When present, skips asset enrichment calls
Headers
Authorizationstringrequired
Response
application/json
Response
application/json
List of guides.
- User JWT → classic
Guidesresponse - Bynder API token →
GuidesWithMissingAssets(headless)
One OfallGuidesarray[object]
Show Child Parameters
featuredGuidesarray[object]
Show Child Parameters
get/api/1/cxuc/guides
Query Parameters
Headers
application/json
Get page of a guide by ID
get
https://{your-bynder-domain}/api/1/cxuc/guides/{guideId}/pages/{pageId}
Query Parameters
skipEnrichmentCallsstring
When present, skips asset enrichment calls
Path Parameters
guideIdstring(uuid)required
pageIdstring(uuid)required
Headers
Authorizationstringrequired
Response
application/json
Response
application/json
Page.
- User JWT → classic
Page - Bynder API token →
PageWithMissingReferences(headless)
One OfcanEditboolean
canViewboolean
creationTimestring
headerobject
Show Child Parameters
idstring(uuid)
lastModifiedTimestring
ownerIdstring
sectionsarray[object]
Show Child Parameters
sharedboolean
statestring
Allowed values:DRAFTPUBLISHED
tableOfContentsobject
Show Child Parameters
titlestring
visibilitystring
Allowed values:PRIVATESPECIFICPORTALPUBLIC
get/api/1/cxuc/guides/{guideId}/pages/{pageId}
Path Parameters
Query Parameters
Headers
application/json
Get guide by ID
get
https://{your-bynder-domain}/api/1/cxuc/guides/{id}
Query Parameters
skipEnrichmentCallsstring
When present, skips asset enrichment calls
Path Parameters
idstring(uuid)required
Headers
Authorizationstringrequired
Response
application/json
Response
application/json
Guide.
- User JWT / service token → classic
Guide - Bynder API token →
GuideWithMissingAssets(headless)
One OfcanEditboolean
canViewboolean
chaptersarray[object]
Show Child Parameters
coverobject
Show Child Parameters
creationTimestring
groupIdstring(uuid)
idstring(uuid)
isFeaturedboolean
lastModifiedTimestring
ownerIdstring
sharedboolean
targetedPagesEnabledboolean
titlestring
typestring
Allowed values:MULTI_PAGESINGLE_PAGEHOME_PAGE
versioninteger
visibilitystring
Allowed values:PRIVATESPECIFICPORTALPUBLIC
get/api/1/cxuc/guides/{id}
Path Parameters
Query Parameters
Headers
application/json
Groups
Group endpoints
Get all groups
get
https://{your-bynder-domain}/api/1/cxuc/groups
Query Parameters
orderBystring
orderTypestring
skipEnrichmentCallsstring
When present, skips asset enrichment calls
Headers
Authorizationstringrequired
Response
application/json
Response
application/json
List of groups.
- User JWT → classic
Grouparray - Bynder API token →
GroupsWithMissingAssets(headless)
One OfcanEditboolean
canViewboolean
coverobject
Show Child Parameters
creationTimestring
descriptionstring
guideIdsarray[string](uuid)
guidesarray[object]
Show Child Parameters
idstring(uuid)
lastModifiedTimestring
ownerIdstring
sharedboolean
titlestring
versioninteger
visibilitystring
Allowed values:PRIVATESPECIFICPORTALPUBLIC
get/api/1/cxuc/groups
Query Parameters
Headers
application/json